Skip to main content
GET
/
crypto-deposits
/
{id}
Get a crypto deposit by ID
curl --request GET \
  --url https://api.rnbi.magent.finance/crypto-deposits/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Reap-Version: <reap-version>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "chainId": "ETHEREUM_MAINNET",
  "transactionId": "<string>",
  "status": "PENDING",
  "rejectionReason": "TRANSACTION_FAILED",
  "amount": "<string>",
  "senderAddress": "<string>",
  "occurredAt": "2024-01-15T10:30:00Z",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "asset": {
    "symbol": "<string>",
    "name": "USD Coin",
    "decimals": 4503599627370495,
    "logoUri": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key as Bearer token

Headers

Reap-Version
enum<string>
required

API version (YYYY-MM-DD)

Available options:
2025-02-14

Path Parameters

id
string<uuid>
required

Crypto deposit ID

Response

Crypto deposit resource

id
string<uuid>
required

Unique deposit identifier

accountId
string<uuid>
required

Account that received the deposit

chainId
enum<string>
required

Blockchain network identifier

Available options:
ETHEREUM_MAINNET,
ETHEREUM_SEPOLIA,
BASE_MAINNET,
BASE_SEPOLIA,
ARBITRUM_ONE_MAINNET,
ARBITRUM_ONE_SEPOLIA,
SOLANA_MAINNET,
SOLANA_DEVNET
transactionId
string
required

On-chain transaction hash/signature

Example:

"0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"

status
enum<string>
required

Current deposit status

Available options:
PENDING,
CONFIRMED,
APPROVED,
REJECTED
rejectionReason
enum<string> | null
required

Reason for rejection (only when status is REJECTED)

Available options:
TRANSACTION_FAILED,
ASSET_NOT_ACCEPTED,
KYT_CHECK_FAILED,
AMOUNT_TOO_SMALL
amount
string
required

Amount with decimals applied (string for full precision)

Examples:

"1000.0"

"0.999999999999999999"

senderAddress
string
required

Address that sent the deposit

Example:

"0x742d35Cc6634C0532925a3b844Bc9e7595f8fA21"

occurredAt
string | null
required

ISO 8601 timestamp of on-chain transfer

Example:

"2024-01-15T10:30:00Z"

createdAt
string
required

ISO 8601 timestamp of creation

Example:

"2024-01-15T10:30:00Z"

updatedAt
string
required

ISO 8601 timestamp of last update

Example:

"2024-01-15T10:35:00Z"

asset
object
required

Asset metadata